	SUBROUTINE INFOIN(IFILE)
C---------------------------------------------------------------------
C  Subroutine to "read in" new file info to the "current array"
C  from the main data arrays
C---------------------------------------------------------------------
C
C	GET INFO FROM THE INPUT FILE
C
	include 'shared$common'
C
	WVB = WAVE(IFILE)
	WV1 = WKA1(IFILE)
	WV2 = WKA2(IFILE)
	RMIN = START(IFILE)
	STR=RMIN
	CSTR=RMIN
	RMAX = FINISH(IFILE)
	FIN=RMAX
	CFIN=RMAX
	NS=1
	NF=NPOINT(IFILE)
	DELR=DELTA(IFILE)
	PTIME=TIME(IFILE)
	REFPT=REFINT(IFILE)
	KA12S=MONO(IFILE)
	DO I=1,NPOINT(IFILE)
	  A(I)=B(I,IFILE)
	  AESD(I)=BESD(I,IFILE)
	  AX(I)=BX(I,IFILE)
	ENDDO
	TITLE = ATITLE(IFILE)
	AXTYP = FXTYP(IFILE)
	AYTYP = FYTYP(IFILE)
	ACFNAM = CFILNAM(IFILE)
	AOFNAM = OFILNAM(IFILE)
	RETURN
	END
